E-MailRelay

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Member Functions | List of all members
GNet::Local Class Reference

A static class for getting information about the local machine's network name and address. More...

`#include <glocal.h>`

## Static Public Member Functions
static std::string | hostname ()
| Returns the local hostname. Returns "localhost" on error.
static std::string | canonicalName ()
| Returns the canonical network name assiciated with hostname(). More...
static void | canonicalName (const std::string &override)
| Sets the canonicalName() override.
static bool | isLocal (const Address &, std::string &reason)
| Returns true if the given address appears to be associated with the local host, or a helpful error message if not. More...

## Detailed Description

A static class for getting information about the local machine's network name and address.

Definition at line 38 of file glocal.h.

## Member Function Documentation

std::string GNet::Local::canonicalName | ( |  | ) |
| static

Returns the canonical network name assiciated with hostname().

Defaults to "<hostname>.localnet" if DNS does not provide a canonical network name.

Definition at line 54 of file glocal.cpp.

bool GNet::Local::isLocal | ( | const Address & | address,
|  | std::string & | reason
| ) |  |
| static

Returns true if the given address appears to be associated with the local host, or a helpful error message if not.

Definition at line 65 of file glocal.cpp.

The documentation for this class was generated from the following files:

- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/gnet/glocal.h
- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/gnet/glocal.cpp
- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/gnet/glocal_dns_disabled.cpp